Name:        hack-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     MIT
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Hack.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 HackNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFont-BoldItalic.ttf
install -Dm644 HackNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontMono-BoldItalic.ttf
install -Dm644 HackNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontPropo-BoldItalic.ttf
install -Dm644 HackNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFont-Bold.ttf
install -Dm644 HackNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontMono-Bold.ttf
install -Dm644 HackNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontPropo-Bold.ttf
install -Dm644 HackNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFont-Italic.ttf
install -Dm644 HackNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontMono-Italic.ttf
install -Dm644 HackNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontPropo-Italic.ttf
install -Dm644 HackNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFont-Regular.ttf
install -Dm644 HackNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontMono-Regular.ttf
install -Dm644 HackNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/HackNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/HackNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/HackNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/HackNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/HackNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/HackNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/HackNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/HackNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/HackNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/HackNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/HackNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/HackNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/HackNerdFontPropo-Regular.ttf
%license "LICENSE.md"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
